<?php


/*
Plugin Name: Make the bunny talk!
Plugin URI: http://noCreativity.com/blog/downloads
Description: Displays a Flash badge in the sidebar, that enables your visitors to send messages to your Nabaztag bunny.
Author: Ronny Welter
Version: 1.0
Author URI: http://noCreativity.com
*/



function MakeTheBunnyTalk_init(){
	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return; 

	function MakeTheBunnyTalk_widget($args){
		extract($args); 
		
		$options = get_option('MakeTheBunnyTalk_widget');
		$bunnyname = htmlspecialchars($options['bunnyname'], ENT_QUOTES);
		$bunnyserial = htmlspecialchars($options['bunnyserial'], ENT_QUOTES);
		$bunnytoken = htmlspecialchars($options['bunnytoken'], ENT_QUOTES);
		$useswfobject = htmlspecialchars($options['useswfobject'], ENT_QUOTES);
		
		echo $before_widget; 
		echo '	<div id="MakeTheBunnyTalkWidget" class="MakeTheBunnyTalk">
					Enable Javascript to see this widget
				</div>
				<script type="text/javascript">
					var so = new SWFObject(\'';
		bloginfo('url');
		echo "/wp-content/plugins/MakeTheBunnyTalk/makethebunnytalk.swf', 'TheMagicBunny', '200', '200', '9', '#FFFFFF','true');
					so.addVariable('bunnyName', '$bunnyname');
					so.addVariable('bunnyToken', '$bunnytoken');
					so.addVariable('bunnySerial', '$bunnyserial');
					so.addVariable('talkURL', '";
		bloginfo('url');
		echo"/wp-content/plugins/MakeTheBunnyTalk/proxy.php');
					so.write('MakeTheBunnyTalkWidget');
				</script>
				";
		echo $after_widget;
	}

		// Admin controls - insert your name here!!
		function MakeTheBunnyTalk_widget_control() {
			$options = get_option('MakeTheBunnyTalk_widget');
			$newOptions = $options;

			// if submitted, clean up stuff
			if ($_POST['bunny-badge-submit']==1){
				$newOptions['bunnyname'] = strip_tags(stripslashes($_POST['bunny-badge-bunnyname']));
				$newOptions['bunnyserial'] = strip_tags(stripslashes($_POST['bunny-badge-bunnyserial']));
				$newOptions['bunnytoken'] = strip_tags(stripslashes($_POST['bunny-badge-bunnytoken']));
				$newOptions['useswfobject'] = strip_tags(stripslashes($_POST['bunny-badge-swfobject']));
			}

			if ( $options != $newOptions ){
				$options = $newOptions;
				update_option('MakeTheBunnyTalk_widget', $options,' ', true);
			}

			$bunnyname = htmlspecialchars($options['bunnyname'], ENT_QUOTES);
			$bunnyserial = htmlspecialchars($options['bunnyserial'], ENT_QUOTES);
			$bunnytoken = htmlspecialchars($options['bunnytoken'], ENT_QUOTES);
			$useswfobject = htmlspecialchars($options['useswfobject'], ENT_QUOTES);
			
	// Control form
	?>
			<div>
				<label for="bunny-badge-bunnyname">Nabaztag name: <input type="text" name="bunny-badge-bunnyname" value="<?php echo $bunnyname ?>"/></label><br/>
				<label for="bunny-badge-bunnyserial">Nabaztag serial: <input type="text" name="bunny-badge-bunnyserial" value="<?php echo $bunnyserial ?>"/></label><br/>
				<label for="bunny-badge-bunnytoken">Nabaztag token: <input type="text" name="bunny-badge-bunnytoken" value="<?php echo $bunnytoken ?>"/></label><br/>
				<label for="bunny-badge-swfobject">Add SWFobject: <select name="bunny-badge-swfobject">
																		<option value="1">Yes, insert swfobject.js</option>
																		<option value="0" <?php if($options['useswfobject']==0){echo 'selected="selected"'; }?>>No, I already have it included</option>
																	</select>
					
					
					</label><br/>
				
				<input type="hidden" name="bunny-badge-submit" id="bunny-badge-submit" value="1" /><br/>
				<p><b>NOTE:</B> Don't forget to click the Save Changes button after closing this option window.</p>
                
			</div>
		<?php
		}

		// Register widget & control
		register_sidebar_widget('Make the bunny talk', 'MakeTheBunnyTalk_widget');
		register_widget_control('Make the bunny talk', 'MakeTheBunnyTalk_widget_control');
}

function MakeTheBunnyTalk_style() {
	?>	
		<style type="text/css">
		.MakeTheBunnyTalk{
			text-align: center;
		}
		</style>
	<?php  
			$options = get_option('MakeTheBunnyTalk_widget');
			$useswfobject = htmlspecialchars($options['useswfobject'], ENT_QUOTES);
			if($useswfobject==1){
	?>
		<script src="<?php bloginfo('url'); ?>/wp-content/plugins/MakeTheBunnyTalk/swfobject.js"></script>
	<?php
	}
}
// Add widget once plugins are loaded.
add_action('plugins_loaded', 'MakeTheBunnyTalk_init');

// Add the badge's CSS to the head.
add_action('wp_head', 'MakeTheBunnyTalk_style');

?>